#!/bin/sh

NO_ERROR=0
LOW_ERROR=1
FATAL_ERROR=2

RET_ERROR=0

STARTLOGINFO="<update cat=\"log\" level=\"info\">"
STARTLOGERROR="<update cat=\"log\" level=\"error\">"
ENDLOGINFO="</update>"

echo $STARTLOGINFO"  installing new user files"$ENDLOGINFO

IMAGE=`pwd`/image/userfiles.tar.gz
TARGETDIR=/home/dctp/

cd $TARGETDIR
tar -xzf $IMAGE
RET_ERROR=$?
chown -R root:root $TARGETDIR/user_files

if [ $RET_ERROR -ne 0 ];then
  echo $STARTLOGERROR"  failed to install new user files"$ENDLOGINFO
  RET_ERROR=2
fi

exit $RET_ERROR